Bug 1306339 - VNC file is not recognized
VNC file is not recognized
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vinagre (Show other bugs)
6.8
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Felipe Borges
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 10:38 EST by Vaclav Ehrlich
Modified: 2016-08-23 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-23 12:23:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaclav Ehrlich 2016-02-10 10:38:46 EST
Description of problem:
When try to connect via VNC file, error occurs says 'The file ... was not recognized by any plugin' 

Version-Release number of selected component (if applicable):
vinagre-2.28.1-9.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. start VNC server for connect to
vncserver :your_vnc_port
2.Create file named file.vnc with content:
[Connection]
Host=your_vnc_host:your_vnc_port
UserName=test_username
Password=test_password
3.In nautilus open file with vinagre

Actual results:
Error occurs, file was not recognized by any of the plugins

Expected results:
Remoted VNC session is opened

Additional info:
calling command `vinagre your_vnc_host:your_vnc_port is working`
Comment 2 Felipe Borges 2016-04-04 06:04:24 EDT
The handler method for the -F parameter is not working. It was fixed in the newest versions with the port to GtkApplication (modern API), but the handler for positional arguments works just fine.

That's why ~Open with Remote Viewer...~ works when the vinagre.desktop.in file is used, but it doesn't when the launcher is vinagre-file.desktop.in.

Instead of risking causing regressions by backporting the main instance class of the application to our modern API, we should rather work this around by using the positional argument handling method for the vinagre-file.desktop.in as well.

This is an one-liner workaround:
-Exec=vinagre -F %U
+Exec=vinagre %U

If this seems reasonable, I would like to have the proper ACKs so I could make a release with the patch.
Comment 4 Marek Kašík 2016-08-23 10:46:51 EDT
The problem here is actually that format of the vnc file has changed between releases of Vinagre. Current Vinagre expects Connection, Username, Host, Port, Password, Options and Shared keys. The version of Vinagre from Red Hat Enterprise Linux 6 expects lowercase versions of these. Change the keys to lowercase and it will work for you.
Comment 5 RHEL Product and Program Management 2016-08-23 12:23:32 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.